www/ruby-capybara - The NetBSD Packages Collection

Integration testing tool for rack based web applications

Capybara is an integration testing tool for rack based web applications. It
simulates how a user would interact with a website.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

net/ruby-addressable mail/ruby-mini_mime textproc/ruby-nokogiri www/ruby-rack www/ruby-rack-test devel/ruby-regexp_parser textproc/ruby-xpath lang/ruby26-base

Available binary packages

aarch64:ruby25-capybara-3.32.2.tgz(NetBSD 9.0)
aarch64:ruby26-capybara-3.32.2.tgz(NetBSD 9.0)
aarch64:ruby27-capybara-3.32.2.tgz(NetBSD 9.0)
aarch64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
aarch64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
aarch64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
aarch64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
aarch64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
aarch64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
alpha:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
alpha:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
alpha:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
alpha:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
alpha:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
alpha:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby25-capybara-3.32.2.tgz(NetBSD 9.0)
earmv6hf:ruby26-capybara-3.32.2.tgz(NetBSD 9.0)
earmv6hf:ruby27-capybara-3.32.2.tgz(NetBSD 9.0)
earmv6hf:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
earmv6hf:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
earmv7hf:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
earmv7hf:ruby24-capybara-3.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-capybara-3.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-capybara-3.12.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-capybara-3.32.2.tgz(NetBSD 8.0)
earmv7hf:ruby26-capybara-3.32.2.tgz(NetBSD 8.0)
earmv7hf:ruby27-capybara-3.32.2.tgz(NetBSD 8.0)
earmv7hf:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
earmv7hf:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
earmv7hf:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
earmv7hf:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby24-capybara-3.12.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-capybara-3.12.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-capybara-3.12.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-capybara-3.32.2.tgz(NetBSD 9.0)
earmv7hf:ruby26-capybara-3.32.2.tgz(NetBSD 9.0)
earmv7hf:ruby27-capybara-3.32.2.tgz(NetBSD 9.0)
earmv7hf:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
earmv7hf:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
i386:ruby25-capybara-3.32.2.tgz(NetBSD 8.0)
i386:ruby26-capybara-3.32.2.tgz(NetBSD 8.0)
i386:ruby27-capybara-3.32.2.tgz(NetBSD 8.0)
i386:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
i386:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
i386:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
i386:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
i386:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
i386:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
i386:ruby25-capybara-3.32.2.tgz(NetBSD 9.0)
i386:ruby26-capybara-3.32.2.tgz(NetBSD 9.0)
i386:ruby27-capybara-3.32.2.tgz(NetBSD 9.0)
i386:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
i386:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
i386:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
i386:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
i386:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
i386:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
mips64eb:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
mips64eb:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
mips64eb:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
powerpc:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
powerpc:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
powerpc:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
powerpc:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
powerpc:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
powerpc:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
powerpc:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
powerpc:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
powerpc:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
powerpc:ruby25-capybara-3.32.2.tgz(NetBSD 9.0)
powerpc:ruby26-capybara-3.32.2.tgz(NetBSD 9.0)
powerpc:ruby27-capybara-3.32.2.tgz(NetBSD 9.0)
sparc64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
sparc64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
sparc64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
sparc64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
sparc64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
sparc64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.35.0.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.35.0.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.35.0.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
x86_64:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
x86_64:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
x86_64:ruby25-capybara-3.32.2.tgz(NetBSD 8.0)
x86_64:ruby26-capybara-3.32.2.tgz(NetBSD 8.0)
x86_64:ruby27-capybara-3.32.2.tgz(NetBSD 8.0)
x86_64:ruby25-capybara-3.33.0.tgz(NetBSD 8.0)
x86_64:ruby26-capybara-3.33.0.tgz(NetBSD 8.0)
x86_64:ruby27-capybara-3.33.0.tgz(NetBSD 8.0)
x86_64:ruby25-capybara-3.32.2.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.32.2.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.32.2.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.33.0.tgz(NetBSD 9.0)
x86_64:ruby25-capybara-3.35.3.tgz(NetBSD 9.0)
x86_64:ruby26-capybara-3.35.3.tgz(NetBSD 9.0)
x86_64:ruby27-capybara-3.35.3.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]